You are not logged in.

#1 2020-02-08 18:12:29

timelaw
Member
Registered: 2013-02-04
Posts: 29

Media playback speed incorrect on Vega M GH @ 3840x2160

Hello,

Since a system upgrade, PROBABLY, I can no longer playback any video or audio on the default resolution of my TV where my Intel NUC Hades Canyon is setup. This has worked fine since I got the computer until 2020-02-07, where I did a system upgrade and rebooted. Upon this reboot the issue presented itself.

I have found other posts and stuff about it but none has so far worked, and many of these posts happen to also mention KDE, which I am using, but I have not yet confirmed that it is just KDE that is affected at this moment.

The GPU:

$ lspci | grep VGA

01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Polaris 22 XT [Radeon RX Vega M GH] (rev c0)

It works when I set the resolution to 1920x1080, but this is not a solution in itself as it gets really blurry. I found some mentions of it being the driver's fault, but according to my logs it has not been updated since 2019-11-11:

[2018-11-06 16:23] [PACMAN] Running 'pacman -S xf86-video-amdgpu'
[2018-11-06 16:23] [ALPM] installed xf86-video-amdgpu (18.1.0-1)
[2019-03-20 22:32] [ALPM] upgraded xf86-video-amdgpu (18.1.0-1 -> 19.0.0-1)
[2019-03-31 11:36] [ALPM] upgraded xf86-video-amdgpu (19.0.0-1 -> 19.0.1-1)
[2019-11-11 16:50] [ALPM] upgraded xf86-video-amdgpu (19.0.1-1 -> 19.1.0-1)

On the 7th there kernel was upgraded from 5.4 to 5.5, so the only hint I have at this moment is that this is the cause.

Full upgrade logs from 2020-02-07:

[2020-02-07T17:18:06+0100] [PACMAN] Running 'pacman -Syu --noconfirm'
[2020-02-07T17:18:06+0100] [PACMAN] synchronizing package lists
[2020-02-07T17:18:09+0100] [PACMAN] starting full system upgrade
[2020-02-07T17:19:13+0100] [ALPM] running '60-mkinitcpio-remove.hook'...
[2020-02-07T17:19:13+0100] [ALPM] running '70-dkms-remove.hook'...
[2020-02-07T17:19:13+0100] [ALPM-SCRIPTLET] ==> dkms remove hid-xpadneo/0.6.0 -k 5.4.15-arch1-1
[2020-02-07T17:19:19+0100] [ALPM-SCRIPTLET] ==> dkms remove intel-nuc-led/1.0 -k 5.4.15-arch1-1
[2020-02-07T17:19:24+0100] [ALPM] transaction started
[2020-02-07T17:19:24+0100] [ALPM] upgraded iana-etc (20191231-1 -> 20200117-1)
[2020-02-07T17:19:24+0100] [ALPM] upgraded libutil-linux (2.35-1 -> 2.35.1-1)
[2020-02-07T17:19:24+0100] [ALPM] upgraded libtasn1 (4.15.0-1 -> 4.16.0-1)
[2020-02-07T17:19:24+0100] [ALPM] upgraded systemd-libs (244.1-1 -> 244.2-1)
[2020-02-07T17:19:24+0100] [ALPM] upgraded cryptsetup (2.2.2-1 -> 2.3.0-1)
[2020-02-07T17:19:24+0100] [ALPM] upgraded shadow (4.8-1 -> 4.8.1-1)
[2020-02-07T17:19:25+0100] [ALPM] upgraded util-linux (2.35-1 -> 2.35.1-1)
[2020-02-07T17:19:25+0100] [ALPM] upgraded systemd (244.1-1 -> 244.2-1)
[2020-02-07T17:19:25+0100] [ALPM] upgraded gnutls (3.6.11.1-1 -> 3.6.12-1)
[2020-02-07T17:19:25+0100] [ALPM] upgraded xkeyboard-config (2.28-1 -> 2.29-1)
[2020-02-07T17:19:25+0100] [ALPM] upgraded libsecret (0.20.0-1 -> 0.20.1-1)
[2020-02-07T17:19:25+0100] [ALPM] upgraded openal (1.20.1-1 -> 1.20.1-2)
[2020-02-07T17:19:25+0100] [ALPM] upgraded nspr (4.24-1 -> 4.25-1)
[2020-02-07T17:19:25+0100] [ALPM] upgraded ark (19.12.1-1 -> 19.12.2-1)
[2020-02-07T17:19:25+0100] [ALPM] upgraded baloo-widgets (19.12.1-1 -> 19.12.2-1)
[2020-02-07T17:19:25+0100] [ALPM] upgraded bamf (0.5.4-1 -> 0.5.4-2)
[2020-02-07T17:19:25+0100] [ALPM] upgraded bison (3.5-1 -> 3.5.1-1)
[2020-02-07T17:19:26+0100] [ALPM] upgraded ceph-libs (14.2.6-1 -> 14.2.7-1)
[2020-02-07T17:19:26+0100] [ALPM] installed python-colorama (0.4.3-1)
[2020-02-07T17:19:26+0100] [ALPM] installed python-pyperclip (1.7.0-4)
[2020-02-07T17:19:26+0100] [ALPM] installed python-cmd2 (0.9.25-1)
[2020-02-07T17:19:26+0100] [ALPM] upgraded ceph (14.2.6-1 -> 14.2.7-1)
[2020-02-07T17:19:26+0100] [ALPM] upgraded cmake (3.16.3-1 -> 3.16.4-1)
[2020-02-07T17:19:29+0100] [ALPM] upgraded linux (5.4.15.arch1-1 -> 5.5.2.arch1-1)
[2020-02-07T17:19:29+0100] [ALPM] upgraded deepin-anything-arch (5.0.1-44 -> 5.0.1-48)
[2020-02-07T17:19:29+0100] [ALPM] upgraded libmtp (1.1.16-1 -> 1.1.17-1)
[2020-02-07T17:19:29+0100] [ALPM] upgraded kio-extras (19.12.1-1 -> 19.12.2-1)
[2020-02-07T17:19:29+0100] [ALPM] upgraded dolphin (19.12.1-1 -> 19.12.2-1)
[2020-02-07T17:19:29+0100] [ALPM] upgraded dolphin-plugins (19.12.1-1 -> 19.12.2-1)
[2020-02-07T17:19:29+0100] [ALPM] upgraded filelight (19.12.1-1 -> 19.12.2-1)
[2020-02-07T17:19:29+0100] [ALPM] upgraded libkipi (19.12.1-1 -> 19.12.2-1)
[2020-02-07T17:19:29+0100] [ALPM] upgraded libkdcraw (19.12.1-1 -> 19.12.2-1)
[2020-02-07T17:19:29+0100] [ALPM] upgraded signon-kwallet-extension (19.12.1-1 -> 19.12.2-1)
[2020-02-07T17:19:29+0100] [ALPM] upgraded kaccounts-integration (19.12.1-1 -> 19.12.2-1)
[2020-02-07T17:19:29+0100] [ALPM] upgraded gwenview (19.12.1-1 -> 19.12.2-1)
[2020-02-07T17:19:29+0100] [ALPM] upgraded imagemagick (7.0.9.20-1 -> 7.0.9.21-1)
[2020-02-07T17:19:29+0100] [ALPM] upgraded inotify-tools (3.20.2-1 -> 3.20.2.1-1)
[2020-02-07T17:19:29+0100] [ALPM] upgraded kdenlive (19.12.1-3 -> 19.12.2-1)
[2020-02-07T17:19:30+0100] [ALPM] upgraded kdialog (19.12.1-1 -> 19.12.2-1)
[2020-02-07T17:19:30+0100] [ALPM] upgraded kwalletmanager (19.12.1-1 -> 19.12.2-1)
[2020-02-07T17:19:30+0100] [ALPM] upgraded lib32-util-linux (2.35-1 -> 2.35.1-1)
[2020-02-07T17:19:30+0100] [ALPM] upgraded lib32-fontconfig (2:2.13.91+24+g75eadca-1 -> 2:2.13.91+24+g75eadca-2)
[2020-02-07T17:19:32+0100] [ALPM-SCRIPTLET] Rebuilding 32-bit fontconfig cache... done.
[2020-02-07T17:19:32+0100] [ALPM] upgraded lib32-systemd (244.1-1 -> 244.2-1)
[2020-02-07T17:19:32+0100] [ALPM] upgraded lib32-libtasn1 (4.15.0-1 -> 4.16.0-1)
[2020-02-07T17:19:32+0100] [ALPM] upgraded lib32-libidn2 (2.2.0-1 -> 2.3.0-1)
[2020-02-07T17:19:32+0100] [ALPM] upgraded lib32-gtk3 (3.24.13-1 -> 3.24.13-2)
[2020-02-07T17:19:32+0100] [ALPM] upgraded lib32-nspr (4.24-1 -> 4.25-1)
[2020-02-07T17:19:32+0100] [ALPM] upgraded lib32-openssl-1.0 (1.0.2.t-1 -> 1.0.2.u-1)
[2020-02-07T17:19:32+0100] [ALPM] upgraded libcdr (0.1.5-3 -> 0.1.6-1)
[2020-02-07T17:19:32+0100] [ALPM] upgraded libmagick6 (6.9.10.90-1 -> 6.9.10.91-1)
[2020-02-07T17:19:33+0100] [ALPM] upgraded linux-firmware (20191220.6871bff-1 -> 20200122.1eb2408-1)
[2020-02-07T17:19:39+0100] [ALPM] upgraded linux-headers (5.4.15.arch1-1 -> 5.5.2.arch1-1)
[2020-02-07T17:19:39+0100] [ALPM] upgraded make (4.2.1-4 -> 4.3-1)
[2020-02-07T17:19:39+0100] [ALPM] upgraded numactl (2.0.13-1 -> 2.0.13-2)
[2020-02-07T17:19:40+0100] [ALPM] upgraded openshadinglanguage (1.10.8-2 -> 1.10.9-1)
[2020-02-07T17:19:40+0100] [ALPM] upgraded opusfile (0.11-1 -> 0.11-2)
[2020-02-07T17:19:40+0100] [ALPM] warning: /etc/pacman.d/mirrorlist installed as /etc/pacman.d/mirrorlist.pacnew
[2020-02-07T17:19:40+0100] [ALPM] upgraded pacman-mirrorlist (20200103-1 -> 20200207-1)
[2020-02-07T17:19:40+0100] [ALPM] upgraded python-dbus-common (1.2.14-1 -> 1.2.16-1)
[2020-02-07T17:19:40+0100] [ALPM] upgraded python-dbus (1.2.14-1 -> 1.2.16-1)
[2020-02-07T17:19:40+0100] [ALPM] upgraded python2-waitress (1.4.2-1 -> 1.4.3-1)
[2020-02-07T17:19:40+0100] [ALPM] upgraded python2-wheel (0.34.1-1 -> 0.34.2-1)
[2020-02-07T17:19:40+0100] [ALPM] upgraded s-nail (14.9.16-2 -> 14.9.17-1)
[2020-02-07T17:19:40+0100] [ALPM] upgraded semver (7.1.1-1 -> 7.1.2-1)
[2020-02-07T17:19:40+0100] [ALPM] upgraded shotcut (19.12.23-1 -> 19.12.31-1)
[2020-02-07T17:19:40+0100] [ALPM] upgraded sudo (1.8.30-1 -> 1.8.31-1)
[2020-02-07T17:19:40+0100] [ALPM] upgraded systemd-sysvcompat (244.1-1 -> 244.2-1)
[2020-02-07T17:19:40+0100] [ALPM] upgraded virtualbox-host-modules-arch (6.1.2-5 -> 6.1.2-9)
[2020-02-07T17:19:40+0100] [ALPM] transaction completed
[2020-02-07T17:19:41+0100] [ALPM] running '20-systemd-sysusers.hook'...
[2020-02-07T17:19:41+0100] [ALPM] running '30-systemd-catalog.hook'...
[2020-02-07T17:19:41+0100] [ALPM] running '30-systemd-daemon-reload.hook'...
[2020-02-07T17:19:41+0100] [ALPM] running '30-systemd-hwdb.hook'...
[2020-02-07T17:19:41+0100] [ALPM] running '30-systemd-sysctl.hook'...
[2020-02-07T17:19:41+0100] [ALPM] running '30-systemd-tmpfiles.hook'...
[2020-02-07T17:19:41+0100] [ALPM] running '30-systemd-udev-reload.hook'...
[2020-02-07T17:19:41+0100] [ALPM] running '30-systemd-update.hook'...
[2020-02-07T17:19:41+0100] [ALPM] running '60-depmod.hook'...
[2020-02-07T17:19:47+0100] [ALPM] running '70-dkms-install.hook'...
[2020-02-07T17:19:47+0100] [ALPM-SCRIPTLET] ==> dkms install hid-xpadneo/0.6.0 -k 5.5.2-arch1-1
[2020-02-07T17:19:55+0100] [ALPM-SCRIPTLET] ==> dkms install intel-nuc-led/1.0 -k 5.5.2-arch1-1
[2020-02-07T17:20:03+0100] [ALPM] running '90-mkinitcpio-install.hook'...
[2020-02-07T17:20:03+0100] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
[2020-02-07T17:20:03+0100] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2020-02-07T17:20:03+0100] [ALPM-SCRIPTLET] ==> Starting build: 5.5.2-arch1-1
[2020-02-07T17:20:03+0100] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2020-02-07T17:20:04+0100] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2020-02-07T17:20:04+0100] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2020-02-07T17:20:04+0100] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2020-02-07T17:20:04+0100] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2020-02-07T17:20:05+0100] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2020-02-07T17:20:05+0100] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2020-02-07T17:20:05+0100] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2020-02-07T17:20:05+0100] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2020-02-07T17:20:05+0100] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
[2020-02-07T17:20:07+0100] [ALPM-SCRIPTLET] ==> Image generation successful
[2020-02-07T17:20:07+0100] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
[2020-02-07T17:20:07+0100] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2020-02-07T17:20:07+0100] [ALPM-SCRIPTLET] ==> Starting build: 5.5.2-arch1-1
[2020-02-07T17:20:07+0100] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2020-02-07T17:20:07+0100] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2020-02-07T17:20:07+0100] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2020-02-07T17:20:07+0100] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2020-02-07T17:20:08+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2020-02-07T17:20:08+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2020-02-07T17:20:10+0100] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2020-02-07T17:20:11+0100] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2020-02-07T17:20:12+0100] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2020-02-07T17:20:14+0100] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2020-02-07T17:20:14+0100] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-fallback.img
[2020-02-07T17:20:18+0100] [ALPM-SCRIPTLET] ==> Image generation successful
[2020-02-07T17:20:18+0100] [ALPM] running 'dbus-reload.hook'...
[2020-02-07T17:20:18+0100] [ALPM] running 'detect-old-perl-modules.hook'...
[2020-02-07T17:20:18+0100] [ALPM] running 'gtk-query-immodules-3.0-32.hook'...
[2020-02-07T17:20:18+0100] [ALPM] running 'gtk-update-icon-cache.hook'...
[2020-02-07T17:20:18+0100] [ALPM] running 'systemd-boot.hook'...
[2020-02-07T17:20:18+0100] [ALPM-SCRIPTLET] Copied "/usr/lib/systemd/boot/efi/systemd-bootx64.efi" to "/boot/EFI/systemd/systemd-bootx64.efi".
[2020-02-07T17:20:18+0100] [ALPM-SCRIPTLET] Copied "/usr/lib/systemd/boot/efi/systemd-bootx64.efi" to "/boot/EFI/BOOT/BOOTX64.EFI".
[2020-02-07T17:20:18+0100] [ALPM] running 'texinfo-install.hook'...
[2020-02-07T17:20:19+0100] [ALPM] running 'update-desktop-database.hook'...
[2020-02-07T17:20:19+0100] [ALPM] running 'update-mime-database.hook'...

Never done a kernel downgrade before so I'm not sure how to go about it. How do I detect if other deps require a specific version of another package, etc?

Last edited by timelaw (2020-02-08 20:50:23)

Offline

#2 2020-02-08 19:04:19

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 7,706

Re: Media playback speed incorrect on Vega M GH @ 3840x2160

First, please check the difference betweeen [ quote ] and [ code ] tags, https://bbs.archlinux.org/help.php#bbcode .

The nuc has one of the intel processors with an integrated amd videocard, right ?

I found some mentions of it being the driver's fault, but according to my logs it has not been updated since 2019-11-11:

A major part of the functionality comes from the kernel module, not from the xf86-video-amdgpu DDX driver.

I can no longer playback any video or audio on the default resolution of my TV

This kinda contradicts your title.
Is playback at 4k resolution bad/choppy/like-a-slideshow or does it not function at all ?


Multi-init booting with apg Openrc and systemd coexisting
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#3 2020-02-08 20:56:52

timelaw
Member
Registered: 2013-02-04
Posts: 29

Re: Media playback speed incorrect on Vega M GH @ 3840x2160

Lone_Wolf wrote:

First, please check the difference betweeen [ quote ] and [ code ] tags, https://bbs.archlinux.org/help.php#bbcode .

The nuc has one of the intel processors with an integrated amd videocard, right ?

I found some mentions of it being the driver's fault, but according to my logs it has not been updated since 2019-11-11:

A major part of the functionality comes from the kernel module, not from the xf86-video-amdgpu DDX driver.

I can no longer playback any video or audio on the default resolution of my TV

This kinda contradicts your title.
Is playback at 4k resolution bad/choppy/like-a-slideshow or does it not function at all ?

Changed the quotes to codes, sorry about that.

Yes, it has an integrated Radeon Vega M GH, which I'm sure I mentioned in my post.

How does what I said contradict the title? Unless you're picking out the "can" of the sentence and taking that super literally. I CAN of course play anything, but it does not mean I can make sense out of it.

All media, audio or video FILES, are not played at an incorrect speed, they are sped up. This makes it sound like a bunch of chipmunks are singing when I listen to Spotify (streams/files?), for instance and it is as if I was fastforwarding any YouTube clip I watch.

My TVs native resolution is 3840x2160, so I do not understand where the contradiction arises.

I can put it to full HD, changing nothing else, and the issue will disappear.

So there is no chopping, no slideshow. It's just as if you would turn the speed up to 150%, or whatever the factor might be.

Here is a post of what is probably the same issue, but I have done these checks already and nothing works.  Manjora Forums: [SOLVED] AMD RX 580 - All videos play too fast - Playback speed is too high and sound is accelerated

And just like in the above post, it all returns to normal if I just use my headphones. Both for VIDEO and AUDIO.

Without headphones: YouTube sound AND video is played at a higher speed
with headphones: YouTube sound AND video is played at the normal speed

Last edited by timelaw (2020-02-08 21:13:08)

Offline

#4 2020-02-12 13:36:39

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 7,706

Re: Media playback speed incorrect on Vega M GH @ 3840x2160

I was puzzled by "Polaris 22 XT [Radeon RX Vega M GH]" , as Vega chipsets are not from polaris family.
A search indicated that the amd chip integrated on some intel processors belongs to the same family as the RX 480 & RX 580 discrete videocards.

AMD APUs and discrete cards advertised as Vega belong to  a later chip family.


I do tend to take things too literally, thanks for clarifying.


Are you using Pulseaudio or Alsa for sound ?
If unsure post pacman -Qs pulse .

Is the TV connected through HDMI or DisplayPort ?
If HDMI is the cable used listed as Standard , High Speed , Premium High Speed or even Ultra High Speed ?

linux-lts recently switched to the 5.4.x , can you verify if booting with linux-lts gives the same issue ?

Last edited by Lone_Wolf (2020-02-12 13:37:18)


Multi-init booting with apg Openrc and systemd coexisting
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#5 2020-02-15 13:01:49

timelaw
Member
Registered: 2013-02-04
Posts: 29

Re: Media playback speed incorrect on Vega M GH @ 3840x2160

Lone_Wolf wrote:

I was puzzled by "Polaris 22 XT [Radeon RX Vega M GH]" , as Vega chipsets are not from polaris family.
A search indicated that the amd chip integrated on some intel processors belongs to the same family as the RX 480 & RX 580 discrete videocards.

AMD APUs and discrete cards advertised as Vega belong to  a later chip family.


I do tend to take things too literally, thanks for clarifying.


Are you using Pulseaudio or Alsa for sound ?
If unsure post pacman -Qs pulse .

Is the TV connected through HDMI or DisplayPort ?
If HDMI is the cable used listed as Standard , High Speed , Premium High Speed or even Ultra High Speed ?

linux-lts recently switched to the 5.4.x , can you verify if booting with linux-lts gives the same issue ?

I have to run out the house now and I haven't had time to test this further than downgrading the kernel, which worked, so I can confirm that it is an issue with 5.5.1. I can see if there's a newer patch available that might fix this.

Offline

Board footer

Powered by FluxBB